package com.zhentao.ai.config;

import dev.langchain4j.model.chat.ChatLanguageModel;
import dev.langchain4j.model.openai.OpenAiChatModel;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

/**
 * @date: 2025/5/24 11:03
 * @author: ftt
 */

@Configuration
public class LangChain4jConfig {
    @Bean
    public ChatLanguageModel chatLanguageModel() {
        return OpenAiChatModel.builder()
                .baseUrl("http://langchain4j.dev/demo/openai/v1")
                .apiKey("demo") // 替换为真实KEY时移除baseUrl
                .modelName("gpt-4o-mini") // 最新轻量级模型
                .build();
    }
}

