package com.zhentao.disease.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.zhentao.disease.pojo.Disease;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface DiseaseMapper extends BaseMapper<Disease> {
    /**
     * 搜索疾病列表
     * @param keyword 搜索关键词
     * @return 疾病列表
     */
    List<Disease> searchDiseases(String keyword);
}
