package com.zhentao.drug.dto;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

import java.util.Date;

@Data
public class DrugCategoryDto {

    /**
     * 分类唯一ID
     */
    @TableId(type = IdType.AUTO)
    private Integer categoryId;

    /**
     * 分类名称，如抗生素类、感冒用药类等
     */
    private String categoryName;

    /**
     * 父分类ID，若为顶级分类则为NULL，用于构建层级结构
     */
    private Integer parentCategoryId;

    /**
     * 创建时间
     */
    private Date createTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}
