package com.zhentao.drug.service;

import com.zhentao.common.Result;
import com.zhentao.drug.dto.param.DrugParam;
import com.zhentao.drug.domain.DrugInfo;
import com.baomidou.mybatisplus.extension.service.IService;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.multipart.MultipartFile;

/**
* @author Administrator
* @description 针对表【drug_info(药品基础信息表)】的数据库操作Service
* @createDate 2025-05-20 16:04:39
*/
public interface DrugInfoService extends IService<DrugInfo> {

    Result drugAll(DrugParam drugParam);

//    Result addDrug(DrugParam drugParam);

    Result addDrug(DrugInfo drugInfo);

    Result updateDrug(MultipartFile imageFile, Integer id);
//    Result updateDrug(DrugParam drugParam);

    Result delDrug(Integer id);
}
