package com.zhentao.prescription.pojo;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;

import java.time.LocalDateTime;

@Data
@TableName("audit_record")
public class AuditRecord {

    @TableId(value = "audit_id", type = IdType.AUTO)
    private Long auditId;

    @TableField("prescription_id")
    private Long prescriptionId;

    @TableField("auditor_id")
    private Long auditorId;

    @TableField("audit_time")
    private LocalDateTime auditTime;

    @TableField("audit_result")
    private String auditResult;

    @TableField("audit_comment")
    private String auditComment;

    @TableField(value = "create_time", insertStrategy = FieldStrategy.NEVER, updateStrategy = FieldStrategy.NEVER)
    private LocalDateTime createTime;

    // 关联查询字段
    @TableField(exist = false)
    private Prescription prescription;
}
