package com.zhentao.prescription.pojo;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;

import java.time.LocalDateTime;

@Data
@TableName("medication_record")
public class MedicationRecord {

    @TableId(value = "record_id", type = IdType.AUTO)
    private Long recordId;

    @TableField("prescription_id")
    private Long prescriptionId;

    @TableField("detail_id")
    private Long detailId;

    @TableField("patient_id")
    private Long patientId;

    @TableField("medicine_id")
    private Long medicineId;

    @TableField("actual_time")
    private LocalDateTime actualTime;

    @TableField("dosage")
    private String dosage;

    @TableField("operator_id")
    private Long operatorId;

    @TableField("remarks")
    private String remarks;

    @TableField(value = "create_time", insertStrategy = FieldStrategy.NEVER, updateStrategy = FieldStrategy.NEVER)
    private LocalDateTime createTime;
}
