package com.zhentao.prescription.pojo;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;

import java.time.LocalDateTime;

@Data
@TableName("medicine")
public class Medicine {

    @TableId(value = "medicine_id", type = IdType.AUTO)
    private Long medicineId;

    @TableField("name")
    private String name;

    @TableField("scientific_name")
    private String scientificName;

    @TableField("specification")
    private String specification;

    @TableField("unit")
    private String unit;

    @TableField("manufacturer")
    private String manufacturer;

    @TableField("approval_number")
    private String approvalNumber;

    @TableField("category")
    private String category;

    @TableField("contraindication")
    private String contraindication;

    @TableField("adverse_reaction")
    private String adverseReaction;

    @TableField("price")
    private Double price;

    @TableField(value = "create_time", insertStrategy = FieldStrategy.NEVER, updateStrategy = FieldStrategy.NEVER)
    private LocalDateTime createTime;

    @TableField(value = "update_time", insertStrategy = FieldStrategy.NEVER, updateStrategy = FieldStrategy.NEVER)
    private LocalDateTime updateTime;
}
