package com.zhentao.symptoms.pojo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * @TableName symptoms
 */
@TableName(value ="symptoms")
@Data
public class Symptoms implements Serializable {
    private Integer id;

    private String name;

    private String description;

    private String category;

    private String bodyPart;

    private Integer severity;

    private String commonCauses;

    private String suggestedActions;

    private String relatedDiseases;

    private Date createdAt;

    private Date updatedAt;

    private Integer isActive;

    private static final long serialVersionUID = 1L;
}
