package com.zhentao.symptoms.service;

import com.zhentao.symptoms.dto.SymptomsDto;
import com.zhentao.symptoms.pojo.Symptoms;
import com.baomidou.mybatisplus.extension.service.IService;
import com.zhentao.user.vo.ResultVo;

/**
* @author 王阳阳
* @description 针对表【symptoms(症状信息表)】的数据库操作Service
* @createDate 2025-05-25 20:49:10
*/
public interface SymptomsService extends IService<Symptoms> {

    ResultVo findAll(SymptomsDto dto);

    ResultVo selectById(Integer id);
}
