package com.zhentao.user.controller;

import com.zhentao.user.dto.LoginResponseDTO;
import com.zhentao.user.dto.WechatLoginDTO;
import com.zhentao.user.service.UserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.validation.Valid;

@RestController
@RequestMapping("/api/auth")
public class AuthController {

    @Autowired
    private UserService userService;

    @PostMapping("/wechat/login")
    public LoginResponseDTO wechatLogin(@Valid @RequestBody WechatLoginDTO dto) {
        return userService.wechatLogin(dto);
    }
}
