package com.zhentao.disease.pojo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import org.springframework.data.annotation.Id;
//import org.springframework.data.elasticsearch.annotations.Document;
//import org.springframework.data.elasticsearch.annotations.Field;
//import org.springframework.data.elasticsearch.annotations.FieldType;

import java.io.Serializable;
import java.time.LocalDateTime;

@Data
@TableName("disease_encyclopedia")
//@Document(indexName = "disease_encyclopedia")
public class Disease implements Serializable {
    private static final long serialVersionUID = 1L;

    @TableId(type = IdType.AUTO)
    @Id
    private Integer diseaseId;

//    @Field(type = FieldType.Text, analyzer = "ik_max_word")
    private String diseaseName;

//    @Field(type = FieldType.Text, analyzer = "ik_max_word")
    private String diseaseAlias;

    //   @Field(type = FieldType.Keyword)
    private String diseaseCategory;

    //   @Field(type = FieldType.Keyword)
    private String icdCode;

    private Integer isGenetic;

    private Double prevalenceRate;

    // @Field(type = FieldType.Text, analyzer = "ik_max_word")
    private String onsetAge;

    //  @Field(type = FieldType.Keyword)
    private String genderPreference;

    // @Field(type = FieldType.Text, analyzer = "ik_max_word")
    private String overview;

    //   @Field(type = FieldType.Text, analyzer = "ik_max_word")
    private String causes;

    //  @Field(type = FieldType.Text, analyzer = "ik_max_word")
    private String symptoms;

    //  @Field(type = FieldType.Text, analyzer = "ik_max_word")
    private String diagnosis;

    //  @Field(type = FieldType.Text, analyzer = "ik_max_word")
    private String treatment;

    //  @Field(type = FieldType.Text, analyzer = "ik_max_word")
    private String prognosis;

    // @Field(type = FieldType.Text, analyzer = "ik_max_word")
    private String prevention;

    //  @Field(type = FieldType.Text, analyzer = "ik_max_word")
    private String complications;

    //   @Field(type = FieldType.Text, analyzer = "ik_max_word")
    private String dietRestrictions;

    //  @Field(type = FieldType.Text, analyzer = "ik_max_word")
    private String relatedDrugs;

    // @Field(type = FieldType.Text, analyzer = "ik_max_word")
    private String relatedSpecialties;

    private LocalDateTime createdAt;

    private LocalDateTime updatedAt;

    //  @Field(type = FieldType.Keyword)
    private String source;

    private Integer isVerified;

    private Integer popularity;
}
