//package com.zhentao.disease.repository;
//
//import com.zhentao.disease.pojo.Disease;
//import org.springframework.data.elasticsearch.repository.ElasticsearchRepository;
//
//import org.springframework.data.domain.Pageable;
//import java.util.List;
//
//public interface DiseaseRepository extends ElasticsearchRepository<Disease, Integer> {
//
//    /**
//     * 根据关键词搜索疾病
//     * @param keyword 关键词
//     * @return 疾病列表
//     */
//    List<Disease> findByDiseaseNameContainingOrDiseaseAliasContainingOrOverviewContainingOrSymptomsContaining(
//            String keyword, String keyword2, String keyword3, String keyword4, Pageable pageable);
//
//    /**
//     * 根据分类搜索疾病
//     * @param category 分类
//     * @return 疾病列表
//     */
//    List<Disease> findByDiseaseCategory(String category, Pageable pageable);
//
//    /**
//     * 根据ICD编码搜索疾病
//     * @param icdCode ICD编码
//     * @return 疾病列表
//     */
//    List<Disease> findByIcdCode(String icdCode);
//}
