package com.zhentao.drug.controller;

import com.zhentao.common.Result;
import com.zhentao.drug.dto.DrugCategoryDto;
import com.zhentao.drug.service.DrugCategoryService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("drugCategory")
//药物分类表
public class DrugCategoryController {
    @Autowired
    DrugCategoryService drugCategoryService;
    //查询两级分类药品
    @RequestMapping("drugCategoryAll")
    public Result drugCategoryAll(@RequestBody(required = false) DrugCategoryDto drugCategoryDto){
        return drugCategoryService.drugCategoryAll(drugCategoryDto);
    }
    //逻辑删除
    @RequestMapping("oneDelOrTwoDel")
    public Result oneDelOrTwoDel(Integer categoryId){

        return drugCategoryService.oneDelOrTwoDel(categoryId);
    }
}
