package com.zhentao.prescription.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.time.LocalDate;
import java.util.List;

@Data
public class PrescriptionDTO {
    private Long prescriptionId;
    private String prescriptionNo;
    private String patientName;
    private String patientGender;
    private Integer patientAge;
    private String doctorName;
    private String department;
    @JsonFormat(pattern = "yyyy-MM-dd")
    private LocalDate visitDate;
    private String diagnosis;
    private Double totalAmount;
    private String status;
    private List<PrescriptionDetailDTO> details;
}
