package com.zhentao.symptoms.controller;

import com.zhentao.symptoms.dto.SymptomsDto;
import com.zhentao.symptoms.service.SymptomsService;
import com.zhentao.user.vo.ResultVo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * @author: wzy
 * @date: 2025/5/25 20:46
 */
@RestController
@RequestMapping("/symptoms")
public class SymptomsController {
    @Autowired
    private SymptomsService symptomsService;
    @PostMapping("/findAll")
    public ResultVo findAll(@RequestBody SymptomsDto dto){
        return symptomsService.findAll(dto);
    }
    @GetMapping("/selectById/{id}")
    public ResultVo selectById(@PathVariable Integer id){
        return symptomsService.selectById(id);
    }
}
