package com.zhentao.user.controller;

import com.zhentao.user.dto.UserLoginDto;
import com.zhentao.user.service.UserService;
import com.zhentao.user.vo.ResultVo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @date: 2025/5/20 15:30
 * @author: ftt
 */

@RestController
@RequestMapping("/user")
public class UserLoginController {
    @Autowired
    private UserService userService;

    @PostMapping("/register")
    public ResultVo register(@RequestBody UserLoginDto dto) {
        return userService.register(dto);
    }

    @PostMapping("/login")
    public ResultVo login(@RequestBody UserLoginDto dto) {
        return userService.login(dto);
    }
}
