package com.zhentao.user.service;

import com.zhentao.common.Result;
import com.zhentao.user.domain.User;
import com.baomidou.mybatisplus.extension.service.IService;
import com.zhentao.user.dto.LoginResponseDTO;
import com.zhentao.user.dto.UserLoginDto;
import com.zhentao.user.dto.WechatLoginDTO;
import com.zhentao.user.vo.ResultVo;

/**
* @author ASUS
* @description 针对表【user(用户基本信息表)】的数据库操作Service
* @createDate 2025-05-20 09:53:17
*/
public interface UserService extends IService<User> {
    LoginResponseDTO wechatLogin(WechatLoginDTO dto);

    ResultVo register(UserLoginDto dto);

    ResultVo login(UserLoginDto dto);
}
